package com.xynet.marketing.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 营销活动项目表
 *
 * @author hechunping
 * @date 2025/01/15
 */
@Data
@Accessors(chain = true)
@TableName("marketing_project")
public class Project implements Serializable {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String name;

    private String code;

    private Integer activateAmount;

    private String intro;

    private String icon;
}
